Bug 211485 - FATAL: Error inserting acpi_cpufreq
FATAL: Error inserting acpi_cpufreq
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Depends On:
  Show dependency treegraph
Reported: 2006-10-19 13:43 EDT by eric magaoay
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-21 11:23:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output (18.91 KB, text/plain)
2006-10-19 13:43 EDT, eric magaoay
no flags Details

  None (edit)
Description eric magaoay 2006-10-19 13:43:13 EDT
Description of problem:
During init startup service at
"start service cpuspeed" I get the following error
"FATAL: Error inserting acpi_cpufreq
No such device

Version-Release number of selected component (if applicable):
cpuspeed.x86_64 1:1.2.1-1.40.fc6
kernel 2.6.18-1.2798.fc6

How reproducible:

Steps to Reproduce:
1. install the latest build date (10.19.06)
2. reboot/startup the system
3. what the error during services init

Hardware info:
ECS K8M800-M2
chipset VIA K8M800
see attached for dmesg output
Comment 1 eric magaoay 2006-10-19 13:43:14 EDT
Created attachment 138886 [details]
dmesg output
Comment 2 Liang Zhang 2006-10-23 23:43:19 EDT
This is not a bug about cpuspeed. If you use the other frequency scaling tools
(like cpudynd,  cpufreqd,  powernowd, and so on), it will also fail.
The reason which creates this bug is that the directory of
/sys/devices/system/cpu/cpu0/cpufreq doesn't exist.
You should re-compile your kernel enabling cpufreq support.

Comment 3 Jarod Wilson 2006-12-21 11:23:40 EST
This was actually us needing to load powernow-k8 instead of acpi-cpufreq. Latest
cpuspeed release should do the right thing now.

Note You need to log in before you can comment on or make changes to this bug.